Advertisement
Guest User

Untitled

a guest
Nov 18th, 2019
127
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 0.47 KB | None | 0 0
  1. #!/bin/sh
  2.  
  3. # Set default GRADLE_OPTS for the app
  4. if [ -z $GRADLE_OPTS ]; then
  5. export GRADLE_OPTS="${CONFIG_FILE:+-DconfigFilePath=$CONFIG_FILE} ${CONSUL_URL:+-DconsulUrl=$CONSUL_URL} ${IS_ENV:+-Denvironment=$IS_ENV} ${APP_NAME:+-DappName=$APP_NAME}"
  6. fi
  7.  
  8. _retries=3
  9. until ./gradlew --no-daemon --build-cache
  10. do
  11. _retries=$((_retries-1))
  12. [ $_retries -eq 0 -a $? -ne 0 ] && { >&2 echo "Building gradle cache failed!"; exit 1; }
  13. done
  14.  
  15. exec ./gradlew --no-daemon update
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement